import { IAuthProvider } from "./auth/AuthProvider";
import { Logger } from "./shared/Logger";
import { Server, ServerConfig } from "./Server";
export interface BasicServerStartParams extends ServerConfig {
    accessTokenTtl?: number;
    refreshTokenTtl?: number;
    authProviders?: IAuthProvider[];
    defaultProviders?: string[];
    logger?: Logger;
    services?: any[];
    enableDownloadLogCompaction?: boolean;
    maxDownloadSize?: number;
    startupTimeout?: number;
}
export declare class BasicServer extends Server {
    protected commander: any;
    protected unhandledRejectionCallback: (reason, promise) => void;
    constructor();
    private runInit(projectName, options);
    run(argv: string[]): Promise<void>;
    start(params: BasicServerStartParams): Promise<void>;
    shutdown(): Promise<void>;
    private runStart(command);
    private runBackup(args, logger?);
}
